# Class CIM_VirtualSystemManagementCapabilities
extends CIM_EnabledLogicalElementCapabilities

Capabilities of a CIM_VirtualSystemManagementService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_VirtualSystemManagementCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Capabilities of a CIM_VirtualSystemManagementService.
UMLPackagePath | string | CIM::Core::Virtualization
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AsynchronousMethodsSupported | uint16[] |
Description | string | Enumeration of method identifiers each identifying a method of class CIM_VirtualSystemManagementService that is supported asynchronously by the implementation.
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, .., 32767..65535
Values | string | DefineSystemSupported, DestroySystemSupported, DestroySystemConfigurationSupported, ModifyResourceSettingsSupported, ModifySystemSettingsSupported, RemoveResourcesSupported, SelectSystemConfigurationSupported, SnapshotSystemSupported, AddResourcesSupported, DMTF Reserved, Vendor Reserved
IndicationsSupported | uint16[] |

Description

string

Enumeration of indication identifiers each identifying an indication that is supported by the implementation. VirtualSystemStateChangeIndicationsSupported indicates whether or not the implementation supports notification on state changes of CIM_ComputerSystem instances representing virtual systems. VirtualResourceStateChangeIndicationsSupported indicates whether or not the implementation supports notification on state changes of CIM_LogicalDevice instances representing resources of virtual systems. ConcreteJobStateChangeIndicationsSupported indicates whether or not the implementation supports notification on state changes of CIM_ConcreteJob instances.

ValueMap | string | 2, 3, 4, .., 32767..65535
Values | string | VirtualResourceStateChangeIndicationsSupported, ConcreteJobStateChangeIndicationsSupported, VirtualSystemStateChangeIndicationsSupported, DMTF Reserved, Vendor Reserved
SynchronousMethodsSupported | uint16[] |
Description | string | Enumeration of method identifiers each identifying a method of class CIM_VirtualSystemManagementService that is supported synchronously by the implementation.
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, .., 32767..65535
Values | string | DefineSystemSupported, DestroySystemSupported, DestroySystemConfigurationSupported, ModifyResourceSettingsSupported, ModifySystemSettingsSupported, RemoveResourcesSupported, SelectSystemConfigurationSupported, SnapshotSystemSupported, AddResourcesSupported, DMTF Reserved, Vendor Reserved
VirtualSystemTypesSupported | string[] |
Description | string | Enumeration of strings each designating a type of virtual system that the implementation supports. The value of each non-NULL array element shall conform to the format defined for the CIM_VirtualSystemSettingData.VirtualSystemType property.
ModelCorrespondence | string | CIM_VirtualSystemSettingData.VirtualSystemType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods